//go:build !windows

package envs

import (
	`os`
)

/*
	interpolateString takes string s and performs environment variable interpolation/substitution on it.
	err will always be nil; it's here for compat with the Windows equivalent.
*/
func interpolateString(s string) (subbed string, err error) {

	subbed = os.ExpandEnv(s)

	return
}
