//go:build windows

package envs

import (
	"os"

	"golang.org/x/sys/windows/registry"
)

// interpolateString takes string s and performs environment variable interpolation/substitution on it.
func interpolateString(s string) (subbed string, err error) {

	subbed, err = registry.ExpandString(os.ExpandEnv(s))

	return
}
